Package net.md_5.bungee.api.chat.hover.content

# Class Item

java.lang.Object
net.md_5.bungee.api.chat.hover.content.Content
net.md_5.bungee.api.chat.hover.content.Item

public class Item extends Content

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Item(String id, int count, ItemTag tag)`
  Creates a new `Item` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getCount()`
  Optional.
  `String`
  `getId()`
  Namespaced item ID.
  `ItemTag`
  `getTag()`
  Optional.
  `int`
  `hashCode()`
  `HoverEvent.Action`
  `requiredAction()`
  Required action for this content type.
  `void`
  `setCount(int count)`
  Optional.
  `void`
  `setId(String id)`
  Namespaced item ID.
  `void`
  `setTag(ItemTag tag)`
  Optional.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.chat.hover.content.Content

  `assertAction`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Item

    public Item(String id, int count, ItemTag tag)
    Creates a new `Item` instance.
    Parameters:
      `id` - Namespaced item ID. Will use 'minecraft:air' if null.
      `count` - Optional. Size of the item stack.
      `tag` - Optional. Item tag.

- ## Method Details

  - ### requiredAction

    public HoverEvent.Action requiredAction()
    Description copied from class: `Content`
    Required action for this content type.
    Specified by:
      `requiredAction` in class `Content`
    Returns:
      action

  - ### getId

    public String getId()
    Namespaced item ID. Will use 'minecraft:air' if null.

  - ### getCount

    public int getCount()
    Optional. Size of the item stack.

  - ### getTag

    public ItemTag getTag()
    Optional. Item tag.

  - ### setId

    public void setId(String id)
    Namespaced item ID. Will use 'minecraft:air' if null.

  - ### setCount

    public void setCount(int count)
    Optional. Size of the item stack.

  - ### setTag

    public void setTag(ItemTag tag)
    Optional. Item tag.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Content`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Content`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `Content`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Content`